<script>
import { max, min } from 'd3-array';

  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  const radius = 10;
  // Array
  const values = [2, 4, 6, 7, 9];

  import { scaleLog } from 'd3-scale';
  var myScale = scaleLog()
    .domain([min(values),max(values)])
    .range([0, innerWidth-radius]);
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as value}
      <circle cx="{myScale(value)+radius/2}" cy="{innerHeight/2}" r="{radius}" fill="teal" />
    {/each}
  </g>
</svg>
